
#version 130              // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2



// uniform shader-parameters
uniform sampler2D colorTexture;
uniform sampler2D alphaMap;



// fragment-shader input variables
in vec2 frag_texCoord;


// fragment-shader output variable (-> stored in the frame-buffer, i.e. "the pixel you see")
out vec4 fragColor;


void main()
{
    //get texel color
    vec4 alpha_color = texture2D(alphaMap, frag_texCoord);

	vec4 texel = texture2D(colorTexture, frag_texCoord);
	texel.a = alpha_color.r;
	
    fragColor = texel;
}