
#version 130              // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2



// uniform shader-parameters
uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

// vertex-shader input variables
in vec4 vertex;
in vec2 texCoord;


// vertex-shader output variables (passed to fragment-shader)
out vec2 frag_texCoord;


void main()
{
    // just pass color to fragment-shader
    frag_texCoord = texCoord;

    // transform vertex down the pipeline
    gl_Position = perspective * view * model * vertex;
}
